      subroutine system (cel,isystm,iortho)                             SYST001
c ----------------------------------------------------------------------SYST002
c     retrive system information from cell constants                    SYST003
c ----------------------------------------------------------------------SYST004
c     This program module is part of the PhysiSoft X-ray Library        SYST005
c     and may not be sold or reproduced for commercial purposes.        SYST006
c     Although it has been tested carefully, there is no warranty       SYST007
c     regarding accuracy or freedom from side-effects.                  SYST008
c                   (C) 1986-1990 Bernhard Rupp                         SYST009
c ----------------------------------------------------------------------SYST010
      dimension cel(6)                                                  SYST011
                                                                        SYST012
      iortho=0                                                          SYST013
      if (cel(6).eq.120.0) then                                         SYST014
         isystm=6                                                       SYST015
      elseif ((cel(5).ne.90.and.cel(6).ne.90).or.cel(4).ne.90) then     SYST016
         isystm=7                                                       SYST017
      elseif (cel(5).ne.90) then                                        SYST018
         isystm=1                                                       SYST019
      elseif (cel(3).eq.cel(1)) then                                    SYST020
         isystm=5                                                       SYST021
         iortho=1                                                       SYST022
      elseif (cel(1).eq.cel(2)) then                                    SYST023
         isystm=4                                                       SYST024
         iortho=1                                                       SYST025
      else                                                              SYST026
         isystm=2                                                       SYST027
         iortho=1                                                       SYST028
      end if                                                            SYST029
      return                                                            SYST030
      end                                                               SYST031
                                                                        SYST032
                                                                        SYST033
